public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2020-04-30 13:42 Andrew Ammerlaan
  0 siblings, 0 replies; 18+ messages in thread
From: Andrew Ammerlaan @ 2020-04-30 13:42 UTC (permalink / raw
  To: gentoo-commits

commit:     bfe7fabcc821ed198e423f557c938e10c0a375fc
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Apr 30 13:41:26 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Apr 30 13:41:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=bfe7fabc

media-video/syncplay: Client/server to synchronize media playback

need dev-python/pyside2 for the gui, but should also
provide full functionality without the gui

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 media-video/syncplay/Manifest                 |  1 +
 media-video/syncplay/metadata.xml             | 15 ++++++++
 media-video/syncplay/syncplay-1.6.4_p1.ebuild | 54 +++++++++++++++++++++++++++
 3 files changed, 70 insertions(+)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
new file mode 100644
index 0000000..77f72fd
--- /dev/null
+++ b/media-video/syncplay/Manifest
@@ -0,0 +1 @@
+DIST syncplay-1.6.4_p1.tar.gz 1791803 BLAKE2B ac309c224ad61c94712f18b3cc7216b9a2fe431251feb2d26b1db3d728bd97b89e6aa362b7b64992152b41a25ac107428f910c24ec0ba88e7c6f042ae1628c07 SHA512 7cf41088462b3140836ba5c2d0376fcae78263255280dfb63575ab8015f21953c78c01d0a2e22c5c09902679cb8ae2f1fdbb5d9fbe4150c5ed8d3d4b8edb49e0

diff --git a/media-video/syncplay/metadata.xml b/media-video/syncplay/metadata.xml
new file mode 100644
index 0000000..0bac473
--- /dev/null
+++ b/media-video/syncplay/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+	<maintainer type="person">
+		<email>andrewammerlaan@riseup.net</email>
+		<name>Andrew Ammerlaan</name>
+	</maintainer>
+	<use>
+		<flag name="client">Install the Syncplay client</flag>
+		<flag name="server">Install the Syncplay server</flag>
+		<flag name="vlc">Pull in VLC with the lua flag</flag>
+		<flag name="mpv">Pull in MPV with the lua flag</flag>
+	</use>
+</pkgmetadata>

diff --git a/media-video/syncplay/syncplay-1.6.4_p1.ebuild b/media-video/syncplay/syncplay-1.6.4_p1.ebuild
new file mode 100644
index 0000000..773ee01
--- /dev/null
+++ b/media-video/syncplay/syncplay-1.6.4_p1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1 eutils xdg
+
+MYPV="${PV/_p1/a}"
+
+DESCRIPTION="Client/server to synchronize media playback"
+HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
+SRC_URI="https://github.com/${PN^}/${PN}/archive/v${MYPV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="+client +server vlc mpv"
+REQUIRED_USE="vlc? ( client ) mpv? ( client )"
+
+RDEPEND="
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/twisted[${PYTHON_USEDEP}]
+	vlc? ( media-video/vlc[lua] )
+	mpv? ( media-video/mpv[lua] )
+"
+
+# RDEPEND on PySide2 for gui, but not packaged here at the moment
+# It is a too big and complex package for me to maintain
+# You can find PySide2 in the ::raiagent overlay
+
+S="${WORKDIR}/${PN}-${MYPV}"
+
+python_install() {
+	local MY_MAKEOPTS=( DESTDIR="${D}" PREFIX=/usr )
+	use client && \
+		emake "${MY_MAKEOPTS[@]}" install-client
+	use server && \
+		emake "${MY_MAKEOPTS[@]}" install-server
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	optfeature "using the GUI (you can find it in the raiagent overlay)\n" dev-python/pyside2
+
+	if use client; then
+		elog "Syncplay supports the following players:"
+		elog "media-video/mpv, media-video/mplayer2, media-video/vlc"
+	fi
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2020-05-07  9:28 Andrew Ammerlaan
  0 siblings, 0 replies; 18+ messages in thread
From: Andrew Ammerlaan @ 2020-05-07  9:28 UTC (permalink / raw
  To: gentoo-commits

commit:     0c09bd570b946c1c3285b7d7a820e410cd61df72
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu May  7 09:28:12 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu May  7 09:28:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0c09bd57

media-video/syncplay: add more optfeature and IUSE

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 media-video/syncplay/metadata.xml             |  1 +
 media-video/syncplay/syncplay-1.6.4_p1.ebuild | 15 ++++++++++++---
 2 files changed, 13 insertions(+), 3 deletions(-)

diff --git a/media-video/syncplay/metadata.xml b/media-video/syncplay/metadata.xml
index 0bac473..af8b590 100644
--- a/media-video/syncplay/metadata.xml
+++ b/media-video/syncplay/metadata.xml
@@ -11,5 +11,6 @@
 		<flag name="server">Install the Syncplay server</flag>
 		<flag name="vlc">Pull in VLC with the lua flag</flag>
 		<flag name="mpv">Pull in MPV with the lua flag</flag>
+		<flag name="mplayer">Pull in MPlayer</flag>
 	</use>
 </pkgmetadata>

diff --git a/media-video/syncplay/syncplay-1.6.4_p1.ebuild b/media-video/syncplay/syncplay-1.6.4_p1.ebuild
index 3a46c75..95626f1 100644
--- a/media-video/syncplay/syncplay-1.6.4_p1.ebuild
+++ b/media-video/syncplay/syncplay-1.6.4_p1.ebuild
@@ -18,14 +18,20 @@ LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
-IUSE="+client +server vlc mpv"
-REQUIRED_USE="vlc? ( client ) mpv? ( client )"
+IUSE="+client +server vlc mpv mplayer"
+REQUIRED_USE="
+	vlc? ( client )
+	mpv? ( client )
+	mplayer? ( client )
+	client? ( || ( vlc mpv mplayer ) )
+"
 
 RDEPEND="
 	dev-python/certifi[${PYTHON_USEDEP}]
 	dev-python/twisted[${PYTHON_USEDEP}]
 	vlc? ( media-video/vlc[lua] )
 	mpv? ( media-video/mpv[lua] )
+	mplayer? ( media-video/mplayer )
 "
 
 # RDEPEND on PySide2 for gui, but not packaged here at the moment
@@ -53,6 +59,9 @@ pkg_postinst() {
 
 	if use client; then
 		elog "Syncplay supports the following players:"
-		elog "media-video/mpv, media-video/mplayer2, media-video/vlc"
+		elog "media-video/mpv, media-video/mplayer, media-video/vlc\n"
+		optfeature "using Syncplay with VLC" media-video/vlc[lua]
+		optfeature "using Syncplay with MPV" media-video/mpv[lua]
+		optfeature "using Syncplay with MPlayer" media-video/mplayer
 	fi
 }


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
  2020-06-07 13:25 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
@ 2020-06-07 13:25 ` Andrew Ammerlaan
  0 siblings, 0 replies; 18+ messages in thread
From: Andrew Ammerlaan @ 2020-06-07 13:25 UTC (permalink / raw
  To: gentoo-commits

commit:     d24dc7068d4dc77d4c9756dcc7a1e2b03735596d
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Jun  7 13:11:01 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Jun  7 13:11:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d24dc706

media-video/syncplay: add beta version

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 media-video/syncplay/Manifest                    |  1 +
 media-video/syncplay/syncplay-1.6.5_beta1.ebuild | 67 ++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index 77f72fd..50f13a3 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1 +1,2 @@
 DIST syncplay-1.6.4_p1.tar.gz 1791803 BLAKE2B ac309c224ad61c94712f18b3cc7216b9a2fe431251feb2d26b1db3d728bd97b89e6aa362b7b64992152b41a25ac107428f910c24ec0ba88e7c6f042ae1628c07 SHA512 7cf41088462b3140836ba5c2d0376fcae78263255280dfb63575ab8015f21953c78c01d0a2e22c5c09902679cb8ae2f1fdbb5d9fbe4150c5ed8d3d4b8edb49e0
+DIST syncplay-1.6.5_beta1.tar.gz 1838573 BLAKE2B 11567daf6a2a6e5163775f8346bcac49f57984aa36f361eb9d2aaa52143260aade69ac98ed035803d269419a512919f07495bfb331ff1010e148f24e46a0d74e SHA512 ee83aaeba8c46d63e22db6f804807d71ed467a4ca510ececc7e5b2ad9410626331e58aa22ee9f6c4e24b9df4aee67067a1ed0a9f26404ab0a4ad4b1b9a381955

diff --git a/media-video/syncplay/syncplay-1.6.5_beta1.ebuild b/media-video/syncplay/syncplay-1.6.5_beta1.ebuild
new file mode 100644
index 0000000..d04acac
--- /dev/null
+++ b/media-video/syncplay/syncplay-1.6.5_beta1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1 eutils xdg
+
+MYPV="${PV/_beta1/-Beta1}"
+
+DESCRIPTION="Client/server to synchronize media playback"
+HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
+SRC_URI="https://github.com/${PN^}/${PN}/archive/v${MYPV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="+client +server vlc mpv mplayer"
+REQUIRED_USE="
+	vlc? ( client )
+	mpv? ( client )
+	mplayer? ( client )
+	client? ( || ( vlc mpv mplayer ) )
+"
+
+RDEPEND="
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/twisted[${PYTHON_USEDEP}]
+	vlc? ( media-video/vlc[lua] )
+	mpv? ( media-video/mpv[lua] )
+	mplayer? ( media-video/mplayer )
+"
+
+# RDEPEND on PySide2 for gui, but not packaged here at the moment
+# It is a too big and complex package for me to maintain
+# You can find PySide2 in the ::raiagent overlay
+
+S="${WORKDIR}/${PN}-${MYPV}"
+
+python_install() {
+	local MY_MAKEOPTS=( DESTDIR="${D}" PREFIX=/usr )
+	if use client; then
+		emake "${MY_MAKEOPTS[@]}" install-client
+	fi
+	if use server; then
+		emake "${MY_MAKEOPTS[@]}" install-server
+		newinitd "${FILESDIR}/${PN}-server-init" "${PN}"
+		newconfd "${FILESDIR}/${PN}-server-init-conf" "${PN}"
+	fi
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	optfeature "using the GUI (you can find it in the raiagent overlay)\n" dev-python/pyside2
+
+	if use client; then
+		elog "Syncplay supports the following players:"
+		elog "media-video/mpv, media-video/mplayer, media-video/vlc\n"
+		optfeature "using Syncplay with VLC" media-video/vlc[lua]
+		optfeature "using Syncplay with MPV" media-video/mpv[lua]
+		optfeature "using Syncplay with MPlayer" media-video/mplayer
+	fi
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2020-06-24 15:05 Andrew Ammerlaan
  2020-06-25  7:29 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
  0 siblings, 1 reply; 18+ messages in thread
From: Andrew Ammerlaan @ 2020-06-24 15:05 UTC (permalink / raw
  To: gentoo-commits

commit:     42305600f87251b35b89e90ac46b4556f81ccb02
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Jun 24 15:05:26 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Jun 24 15:05:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=42305600

media-video/syncplay: version bump

Package-Manager: Portage-2.3.102, Repoman-2.3.23
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 media-video/syncplay/Manifest                      |  3 +-
 ...cplay-1.6.4_p1.ebuild => syncplay-1.6.5.ebuild} |  6 +-
 media-video/syncplay/syncplay-1.6.5_beta1.ebuild   | 67 ----------------------
 3 files changed, 2 insertions(+), 74 deletions(-)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index 50f13a3..2a6da87 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1,2 +1 @@
-DIST syncplay-1.6.4_p1.tar.gz 1791803 BLAKE2B ac309c224ad61c94712f18b3cc7216b9a2fe431251feb2d26b1db3d728bd97b89e6aa362b7b64992152b41a25ac107428f910c24ec0ba88e7c6f042ae1628c07 SHA512 7cf41088462b3140836ba5c2d0376fcae78263255280dfb63575ab8015f21953c78c01d0a2e22c5c09902679cb8ae2f1fdbb5d9fbe4150c5ed8d3d4b8edb49e0
-DIST syncplay-1.6.5_beta1.tar.gz 1838573 BLAKE2B 11567daf6a2a6e5163775f8346bcac49f57984aa36f361eb9d2aaa52143260aade69ac98ed035803d269419a512919f07495bfb331ff1010e148f24e46a0d74e SHA512 ee83aaeba8c46d63e22db6f804807d71ed467a4ca510ececc7e5b2ad9410626331e58aa22ee9f6c4e24b9df4aee67067a1ed0a9f26404ab0a4ad4b1b9a381955
+DIST syncplay-1.6.5.tar.gz 1849668 BLAKE2B ec0d9037b68adbedac3ae107fc2b7650cfa20f5361d256f839a54dfd3fd73d3ae76c01f4e0b703efcb2c1cac39364208d3bed5ec341e38f1ab3036d91c53bad8 SHA512 c3dba4211e7b57a84cc967a8d2c4827e814287dde866bfd9830d8b3c07af472f1532d0dae35e393fce39b35f586d0765de2c23fc473c41ae277a079f6f3a6db0

diff --git a/media-video/syncplay/syncplay-1.6.4_p1.ebuild b/media-video/syncplay/syncplay-1.6.5.ebuild
similarity index 92%
rename from media-video/syncplay/syncplay-1.6.4_p1.ebuild
rename to media-video/syncplay/syncplay-1.6.5.ebuild
index 95626f1..b7dfc1c 100644
--- a/media-video/syncplay/syncplay-1.6.4_p1.ebuild
+++ b/media-video/syncplay/syncplay-1.6.5.ebuild
@@ -8,11 +8,9 @@ DISTUTILS_USE_SETUPTOOLS=rdepend
 
 inherit distutils-r1 eutils xdg
 
-MYPV="${PV/_p1/a}"
-
 DESCRIPTION="Client/server to synchronize media playback"
 HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
-SRC_URI="https://github.com/${PN^}/${PN}/archive/v${MYPV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/${PN^}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="Apache-2.0"
 SLOT="0"
@@ -38,8 +36,6 @@ RDEPEND="
 # It is a too big and complex package for me to maintain
 # You can find PySide2 in the ::raiagent overlay
 
-S="${WORKDIR}/${PN}-${MYPV}"
-
 python_install() {
 	local MY_MAKEOPTS=( DESTDIR="${D}" PREFIX=/usr )
 	if use client; then

diff --git a/media-video/syncplay/syncplay-1.6.5_beta1.ebuild b/media-video/syncplay/syncplay-1.6.5_beta1.ebuild
deleted file mode 100644
index d04acac..0000000
--- a/media-video/syncplay/syncplay-1.6.5_beta1.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1 eutils xdg
-
-MYPV="${PV/_beta1/-Beta1}"
-
-DESCRIPTION="Client/server to synchronize media playback"
-HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
-SRC_URI="https://github.com/${PN^}/${PN}/archive/v${MYPV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-IUSE="+client +server vlc mpv mplayer"
-REQUIRED_USE="
-	vlc? ( client )
-	mpv? ( client )
-	mplayer? ( client )
-	client? ( || ( vlc mpv mplayer ) )
-"
-
-RDEPEND="
-	dev-python/certifi[${PYTHON_USEDEP}]
-	dev-python/twisted[${PYTHON_USEDEP}]
-	vlc? ( media-video/vlc[lua] )
-	mpv? ( media-video/mpv[lua] )
-	mplayer? ( media-video/mplayer )
-"
-
-# RDEPEND on PySide2 for gui, but not packaged here at the moment
-# It is a too big and complex package for me to maintain
-# You can find PySide2 in the ::raiagent overlay
-
-S="${WORKDIR}/${PN}-${MYPV}"
-
-python_install() {
-	local MY_MAKEOPTS=( DESTDIR="${D}" PREFIX=/usr )
-	if use client; then
-		emake "${MY_MAKEOPTS[@]}" install-client
-	fi
-	if use server; then
-		emake "${MY_MAKEOPTS[@]}" install-server
-		newinitd "${FILESDIR}/${PN}-server-init" "${PN}"
-		newconfd "${FILESDIR}/${PN}-server-init-conf" "${PN}"
-	fi
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-
-	optfeature "using the GUI (you can find it in the raiagent overlay)\n" dev-python/pyside2
-
-	if use client; then
-		elog "Syncplay supports the following players:"
-		elog "media-video/mpv, media-video/mplayer, media-video/vlc\n"
-		optfeature "using Syncplay with VLC" media-video/vlc[lua]
-		optfeature "using Syncplay with MPV" media-video/mpv[lua]
-		optfeature "using Syncplay with MPlayer" media-video/mplayer
-	fi
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: media-video/syncplay/
  2020-06-24 15:05 [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/ Andrew Ammerlaan
@ 2020-06-25  7:29 ` Andrew Ammerlaan
  0 siblings, 0 replies; 18+ messages in thread
From: Andrew Ammerlaan @ 2020-06-25  7:29 UTC (permalink / raw
  To: gentoo-commits

commit:     42305600f87251b35b89e90ac46b4556f81ccb02
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Jun 24 15:05:26 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Jun 24 15:05:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=42305600

media-video/syncplay: version bump

Package-Manager: Portage-2.3.102, Repoman-2.3.23
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 media-video/syncplay/Manifest                      |  3 +-
 ...cplay-1.6.4_p1.ebuild => syncplay-1.6.5.ebuild} |  6 +-
 media-video/syncplay/syncplay-1.6.5_beta1.ebuild   | 67 ----------------------
 3 files changed, 2 insertions(+), 74 deletions(-)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index 50f13a3..2a6da87 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1,2 +1 @@
-DIST syncplay-1.6.4_p1.tar.gz 1791803 BLAKE2B ac309c224ad61c94712f18b3cc7216b9a2fe431251feb2d26b1db3d728bd97b89e6aa362b7b64992152b41a25ac107428f910c24ec0ba88e7c6f042ae1628c07 SHA512 7cf41088462b3140836ba5c2d0376fcae78263255280dfb63575ab8015f21953c78c01d0a2e22c5c09902679cb8ae2f1fdbb5d9fbe4150c5ed8d3d4b8edb49e0
-DIST syncplay-1.6.5_beta1.tar.gz 1838573 BLAKE2B 11567daf6a2a6e5163775f8346bcac49f57984aa36f361eb9d2aaa52143260aade69ac98ed035803d269419a512919f07495bfb331ff1010e148f24e46a0d74e SHA512 ee83aaeba8c46d63e22db6f804807d71ed467a4ca510ececc7e5b2ad9410626331e58aa22ee9f6c4e24b9df4aee67067a1ed0a9f26404ab0a4ad4b1b9a381955
+DIST syncplay-1.6.5.tar.gz 1849668 BLAKE2B ec0d9037b68adbedac3ae107fc2b7650cfa20f5361d256f839a54dfd3fd73d3ae76c01f4e0b703efcb2c1cac39364208d3bed5ec341e38f1ab3036d91c53bad8 SHA512 c3dba4211e7b57a84cc967a8d2c4827e814287dde866bfd9830d8b3c07af472f1532d0dae35e393fce39b35f586d0765de2c23fc473c41ae277a079f6f3a6db0

diff --git a/media-video/syncplay/syncplay-1.6.4_p1.ebuild b/media-video/syncplay/syncplay-1.6.5.ebuild
similarity index 92%
rename from media-video/syncplay/syncplay-1.6.4_p1.ebuild
rename to media-video/syncplay/syncplay-1.6.5.ebuild
index 95626f1..b7dfc1c 100644
--- a/media-video/syncplay/syncplay-1.6.4_p1.ebuild
+++ b/media-video/syncplay/syncplay-1.6.5.ebuild
@@ -8,11 +8,9 @@ DISTUTILS_USE_SETUPTOOLS=rdepend
 
 inherit distutils-r1 eutils xdg
 
-MYPV="${PV/_p1/a}"
-
 DESCRIPTION="Client/server to synchronize media playback"
 HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
-SRC_URI="https://github.com/${PN^}/${PN}/archive/v${MYPV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/${PN^}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="Apache-2.0"
 SLOT="0"
@@ -38,8 +36,6 @@ RDEPEND="
 # It is a too big and complex package for me to maintain
 # You can find PySide2 in the ::raiagent overlay
 
-S="${WORKDIR}/${PN}-${MYPV}"
-
 python_install() {
 	local MY_MAKEOPTS=( DESTDIR="${D}" PREFIX=/usr )
 	if use client; then

diff --git a/media-video/syncplay/syncplay-1.6.5_beta1.ebuild b/media-video/syncplay/syncplay-1.6.5_beta1.ebuild
deleted file mode 100644
index d04acac..0000000
--- a/media-video/syncplay/syncplay-1.6.5_beta1.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1 eutils xdg
-
-MYPV="${PV/_beta1/-Beta1}"
-
-DESCRIPTION="Client/server to synchronize media playback"
-HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
-SRC_URI="https://github.com/${PN^}/${PN}/archive/v${MYPV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-IUSE="+client +server vlc mpv mplayer"
-REQUIRED_USE="
-	vlc? ( client )
-	mpv? ( client )
-	mplayer? ( client )
-	client? ( || ( vlc mpv mplayer ) )
-"
-
-RDEPEND="
-	dev-python/certifi[${PYTHON_USEDEP}]
-	dev-python/twisted[${PYTHON_USEDEP}]
-	vlc? ( media-video/vlc[lua] )
-	mpv? ( media-video/mpv[lua] )
-	mplayer? ( media-video/mplayer )
-"
-
-# RDEPEND on PySide2 for gui, but not packaged here at the moment
-# It is a too big and complex package for me to maintain
-# You can find PySide2 in the ::raiagent overlay
-
-S="${WORKDIR}/${PN}-${MYPV}"
-
-python_install() {
-	local MY_MAKEOPTS=( DESTDIR="${D}" PREFIX=/usr )
-	if use client; then
-		emake "${MY_MAKEOPTS[@]}" install-client
-	fi
-	if use server; then
-		emake "${MY_MAKEOPTS[@]}" install-server
-		newinitd "${FILESDIR}/${PN}-server-init" "${PN}"
-		newconfd "${FILESDIR}/${PN}-server-init-conf" "${PN}"
-	fi
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-
-	optfeature "using the GUI (you can find it in the raiagent overlay)\n" dev-python/pyside2
-
-	if use client; then
-		elog "Syncplay supports the following players:"
-		elog "media-video/mpv, media-video/mplayer, media-video/vlc\n"
-		optfeature "using Syncplay with VLC" media-video/vlc[lua]
-		optfeature "using Syncplay with MPV" media-video/mpv[lua]
-		optfeature "using Syncplay with MPlayer" media-video/mplayer
-	fi
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2020-09-24 12:50 Andrew Ammerlaan
  0 siblings, 0 replies; 18+ messages in thread
From: Andrew Ammerlaan @ 2020-09-24 12:50 UTC (permalink / raw
  To: gentoo-commits

commit:     da1686ed7bb6629656a96c54aa7c4726141ffee1
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Sep 24 12:39:44 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Sep 24 12:39:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=da1686ed

media-video/syncplay: bump python targets

eutils --> optfeature

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 media-video/syncplay/syncplay-1.6.5.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-video/syncplay/syncplay-1.6.5.ebuild b/media-video/syncplay/syncplay-1.6.5.ebuild
index b7dfc1c6..fe57aa04 100644
--- a/media-video/syncplay/syncplay-1.6.5.ebuild
+++ b/media-video/syncplay/syncplay-1.6.5.ebuild
@@ -3,10 +3,10 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{7,8,9} )
 DISTUTILS_USE_SETUPTOOLS=rdepend
 
-inherit distutils-r1 eutils xdg
+inherit distutils-r1 optfeature xdg
 
 DESCRIPTION="Client/server to synchronize media playback"
 HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
  2020-10-14 16:37 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
@ 2020-10-14 16:37 ` Andrew Ammerlaan
  0 siblings, 0 replies; 18+ messages in thread
From: Andrew Ammerlaan @ 2020-10-14 16:37 UTC (permalink / raw
  To: gentoo-commits

commit:     9d282211138a5c1afdc33732409538f6e070c60f
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Oct 14 16:37:17 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Oct 14 16:37:17 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9d282211

media-video/syncplay: version bump 1.6.6_beta2

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 media-video/syncplay/Manifest                                           | 2 +-
 .../{syncplay-1.6.6_beta1.ebuild => syncplay-1.6.6_beta2.ebuild}        | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index 54b04a06..bfc202ab 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1 +1 @@
-DIST syncplay-1.6.6_beta1.tar.gz 1843061 BLAKE2B 2b940596d96ac6ea859bb27bfc3f987ef52b2be7f1d50976d6c205d3a4d0fed92f29dc530336bb92c0d67bd9661719720e0181331e549af648868104c2b21c63 SHA512 0d75d9505adfa50aaa56bd4e99f62ee5fa77a7085dd3933a5a4a886d8e898eddac887ae42ac8d133bda048ef14ae22402ced368f75fdf234e35a697ea2cb4443
+DIST syncplay-1.6.6_beta2.tar.gz 1843024 BLAKE2B d5c1e9e4c7b220722fef263f96749af22965bd26b82d41b913660d8b5c70bb6fe82727d7b16492408db661cf77eed4602c201cf90b05b3ee01a51dbfb7f3ee10 SHA512 c9ec87632418dd18b62fe392458a56a23c6eb2bae33c5a6be6daa94bfc30153fb371b9fa524452bdf2329442eb073f8f77418da823eac49273e8611d404d2f8e

diff --git a/media-video/syncplay/syncplay-1.6.6_beta1.ebuild b/media-video/syncplay/syncplay-1.6.6_beta2.ebuild
similarity index 100%
rename from media-video/syncplay/syncplay-1.6.6_beta1.ebuild
rename to media-video/syncplay/syncplay-1.6.6_beta2.ebuild


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
  2020-12-18 14:31 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
@ 2020-12-18 14:31 ` Andrew Ammerlaan
  0 siblings, 0 replies; 18+ messages in thread
From: Andrew Ammerlaan @ 2020-12-18 14:31 UTC (permalink / raw
  To: gentoo-commits

commit:     5898499c38a7758606aab64cc060d827e4b5c389
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Dec 18 14:31:15 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Dec 18 14:31:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5898499c

media-video/syncplay: version bump 1.6.7

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 media-video/syncplay/Manifest                                         | 2 +-
 media-video/syncplay/{syncplay-1.6.6.ebuild => syncplay-1.6.7.ebuild} | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index 673b479f..77603bf8 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1 +1 @@
-DIST syncplay-1.6.6.tar.gz 1842916 BLAKE2B 99db5862879046d6bc516590b2b7afb5092db887a86ab6f4d253b5eb34ae909020e2678e950719af8bb5665201b36cae9643ab796b942959fcd2b04bf995ad6d SHA512 bb91829434002b87834c373908f43629ef74e4db31b3ed06c5cb30bf7ca43326bc40fbe627dca89d7b7d45db72ca80f57de114c5613b9e3f63db4bcd4827430f
+DIST syncplay-1.6.7.tar.gz 1898354 BLAKE2B bc33ad13d5cc455a593979ca08c3a0d8cb64a44610d5d245920c9978859624fa655cdd953361e82dc3505dd785c6a06bc17641bea0e78d5fdf922975fe813b48 SHA512 9b4757befd56569b9061493227931df99ac59ffee91f14c5d0ae932b1744ab7314d4ba4082323781294a70adecdf68a01e1511fbbb1aa9becff0f6c20945ad90

diff --git a/media-video/syncplay/syncplay-1.6.6.ebuild b/media-video/syncplay/syncplay-1.6.7.ebuild
similarity index 100%
rename from media-video/syncplay/syncplay-1.6.6.ebuild
rename to media-video/syncplay/syncplay-1.6.7.ebuild


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
  2021-01-15  8:25 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
@ 2021-01-15  8:24 ` Andrew Ammerlaan
  0 siblings, 0 replies; 18+ messages in thread
From: Andrew Ammerlaan @ 2021-01-15  8:24 UTC (permalink / raw
  To: gentoo-commits

commit:     7c42b3e976a4afaf0f711abbeb76de550737e15f
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Jan 15 08:24:46 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Jan 15 08:24:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7c42b3e9

media-video/syncplay: properly install python modules and scripts

now we use the dedicated python_do* functions instead of
the shipped make install, this ensures that syncplay
is run with the version of python that is enabled with
PYTHON_TARGETS

also set DISTUTILS_SINGLE_IMPL because there is no
need to install this for more than one python version

Closes: https://bugs.gentoo.org/765484
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 ...cplay-1.6.7.ebuild => syncplay-1.6.7-r1.ebuild} | 27 +++++++++++++++-------
 1 file changed, 19 insertions(+), 8 deletions(-)

diff --git a/media-video/syncplay/syncplay-1.6.7.ebuild b/media-video/syncplay/syncplay-1.6.7-r1.ebuild
similarity index 67%
rename from media-video/syncplay/syncplay-1.6.7.ebuild
rename to media-video/syncplay/syncplay-1.6.7-r1.ebuild
index 6c85c3d3..0454f956 100644
--- a/media-video/syncplay/syncplay-1.6.7.ebuild
+++ b/media-video/syncplay/syncplay-1.6.7-r1.ebuild
@@ -1,12 +1,13 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
 PYTHON_COMPAT=( python3_{7,8,9} )
 DISTUTILS_USE_SETUPTOOLS=rdepend
+DISTUTILS_SINGLE_IMPL=1
 
-inherit distutils-r1 optfeature xdg
+inherit desktop distutils-r1 optfeature xdg
 
 DESCRIPTION="Client/server to synchronize media playback"
 HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
@@ -17,12 +18,17 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
 IUSE="+client +server"
+REQUIRED_USE="|| ( client server )"
 
 RDEPEND="
-	dev-python/certifi[${PYTHON_USEDEP}]
-	dev-python/twisted[${PYTHON_USEDEP}]
+	$( python_gen_cond_dep \
+	'dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/twisted[${PYTHON_USEDEP}]'
+	)
 	client? (
-		dev-python/QtPy[${PYTHON_USEDEP},gui]
+		$( python_gen_cond_dep \
+		'dev-python/QtPy[${PYTHON_USEDEP},gui]'
+		)
 		|| (
 			media-video/vlc[lua]
 			media-video/mpv[lua]
@@ -40,12 +46,17 @@ PATCHES=(
 )
 
 python_install() {
-	local MY_MAKEOPTS=( DESTDIR="${D}" PREFIX=/usr )
+	python_domodule syncplay
+	for size in 256 128 96 64 48 32 24 16; do
+		doicon -s ${size} "${PN}/resources/hicolor/${size}x${size}/apps/syncplay.png"
+	done
 	if use client; then
-		emake "${MY_MAKEOPTS[@]}" install-client
+		python_newscript syncplayClient.py syncplay
+		domenu syncplay/resources/syncplay.desktop
 	fi
 	if use server; then
-		emake "${MY_MAKEOPTS[@]}" install-server
+		python_newscript syncplayServer.py syncplay-server
+		domenu syncplay/resources/syncplay-server.desktop
 		newinitd "${FILESDIR}/${PN}-server-init" "${PN}"
 		newconfd "${FILESDIR}/${PN}-server-init-conf" "${PN}"
 	fi


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
  2021-05-24 11:06 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
@ 2021-05-24 10:01 ` Andrew Ammerlaan
  0 siblings, 0 replies; 18+ messages in thread
From: Andrew Ammerlaan @ 2021-05-24 10:01 UTC (permalink / raw
  To: gentoo-commits

commit:     69f98b291a7c8ba9738667aa3a7b3e219db5e34a
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Mon May 24 09:25:54 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon May 24 09:59:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=69f98b29

media-video/syncplay: <!-- maintainer-needed -->

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 media-video/syncplay/metadata.xml | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/media-video/syncplay/metadata.xml b/media-video/syncplay/metadata.xml
index 70e1a55fb..870cfc18e 100644
--- a/media-video/syncplay/metadata.xml
+++ b/media-video/syncplay/metadata.xml
@@ -2,10 +2,7 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 
 <pkgmetadata>
-	<maintainer type="person">
-		<email>andrewammerlaan@gentoo.org</email>
-		<name>Andrew Ammerlaan</name>
-	</maintainer>
+	<!-- maintainer-needed -->
 	<use>
 		<flag name="client">Install the Syncplay client</flag>
 		<flag name="server">Install the Syncplay server</flag>


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2022-07-13 21:36 Nicola Smaniotto
  0 siblings, 0 replies; 18+ messages in thread
From: Nicola Smaniotto @ 2022-07-13 21:36 UTC (permalink / raw
  To: gentoo-commits

commit:     455f3d8b4103de3906d2bebc9b2813bcf4acdda4
Author:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
AuthorDate: Wed Jul 13 21:25:06 2022 +0000
Commit:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
CommitDate: Wed Jul 13 21:33:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=455f3d8b

media-video/syncplay: add 1.6.9

This new version drops support for PyQt5, depending instead only on
PySide2 as does upstream. The patches for PyQt5 are still available for
1.6.7-r1, and I may reintroduce them in the future.

Signed-off-by: Nicola Smaniotto <smaniotto.nicola <AT> gmail.com>

 media-video/syncplay/Manifest              |  1 +
 media-video/syncplay/syncplay-1.6.9.ebuild | 66 ++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index 77603bf87..344ca6451 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1 +1,2 @@
 DIST syncplay-1.6.7.tar.gz 1898354 BLAKE2B bc33ad13d5cc455a593979ca08c3a0d8cb64a44610d5d245920c9978859624fa655cdd953361e82dc3505dd785c6a06bc17641bea0e78d5fdf922975fe813b48 SHA512 9b4757befd56569b9061493227931df99ac59ffee91f14c5d0ae932b1744ab7314d4ba4082323781294a70adecdf68a01e1511fbbb1aa9becff0f6c20945ad90
+DIST syncplay-1.6.9.tar.gz 1900259 BLAKE2B d535f5057a790ac860e6d0ac376069565fa02076dbc0c1d9eb7f54f87f96bbf7aef85136c8c5b67f1a5cf64a5204a617db26e6931368ba490a3ea9128282e473 SHA512 317e7cc966182259e552898ae05e620caf0f8e0ae0b6917235c391bcae1ef9679f1e97cfb46f6d8c6edcd9a5c573e5ab4ff5e27b5e203980a99ade065d9a6b65

diff --git a/media-video/syncplay/syncplay-1.6.9.ebuild b/media-video/syncplay/syncplay-1.6.9.ebuild
new file mode 100644
index 000000000..889f7ce1b
--- /dev/null
+++ b/media-video/syncplay/syncplay-1.6.9.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+
+inherit desktop distutils-r1 optfeature xdg
+
+DESCRIPTION="Client/server to synchronize media playback"
+HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
+SRC_URI="https://github.com/${PN^}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="+client server"
+REQUIRED_USE="|| ( client server )"
+
+RDEPEND="
+	$( python_gen_cond_dep \
+		'>=dev-python/certifi-2018.11.29[${PYTHON_USEDEP}]
+		>=dev-python/twisted-16.4.0[${PYTHON_USEDEP},ssl]'
+	)
+	client? (
+		$( python_gen_cond_dep \
+			'dev-python/QtPy[${PYTHON_USEDEP},gui,pyside2]'
+		)
+		|| (
+			media-video/vlc[lua]
+			media-video/mpv[lua]
+			media-video/mplayer
+		)
+	)
+"
+
+python_install() {
+	python_domodule syncplay
+	for size in 256 128 96 64 48 32 24 16; do
+		doicon -s ${size} "${PN}/resources/hicolor/${size}x${size}/apps/syncplay.png"
+	done
+	if use client; then
+		python_newscript syncplayClient.py syncplay
+		domenu syncplay/resources/syncplay.desktop
+	fi
+	if use server; then
+		python_newscript syncplayServer.py syncplay-server
+		domenu syncplay/resources/syncplay-server.desktop
+		newinitd "${FILESDIR}/${PN}-server-init" "${PN}"
+		newconfd "${FILESDIR}/${PN}-server-init-conf" "${PN}"
+	fi
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	if use client; then
+		optfeature_header "Syncplay is compatible with the following players, install:"
+		optfeature "VLC support" media-video/vlc[lua]
+		optfeature "MPV support" media-video/mpv[lua]
+		optfeature "MPlayer support" media-video/mplayer
+	fi
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2022-07-13 21:36 Nicola Smaniotto
  0 siblings, 0 replies; 18+ messages in thread
From: Nicola Smaniotto @ 2022-07-13 21:36 UTC (permalink / raw
  To: gentoo-commits

commit:     f326e68d801f881f2400243fcaedd006e12ac056
Author:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
AuthorDate: Wed Jul 13 21:24:42 2022 +0000
Commit:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
CommitDate: Wed Jul 13 21:33:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f326e68d

media-video/syncplay: add myself as a maintainer

Signed-off-by: Nicola Smaniotto <smaniotto.nicola <AT> gmail.com>

 media-video/syncplay/metadata.xml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/media-video/syncplay/metadata.xml b/media-video/syncplay/metadata.xml
index 870cfc18e..0edc198e2 100644
--- a/media-video/syncplay/metadata.xml
+++ b/media-video/syncplay/metadata.xml
@@ -2,7 +2,10 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 
 <pkgmetadata>
-	<!-- maintainer-needed -->
+	<maintainer type="person">
+		<email>smaniotto.nicola@gmail.com</email>
+		<name>Nicola Smaniotto</name>
+	</maintainer>
 	<use>
 		<flag name="client">Install the Syncplay client</flag>
 		<flag name="server">Install the Syncplay server</flag>


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2022-11-29 14:09 Nicola Smaniotto
  0 siblings, 0 replies; 18+ messages in thread
From: Nicola Smaniotto @ 2022-11-29 14:09 UTC (permalink / raw
  To: gentoo-commits

commit:     3d2bfa2bf714d94e1dd5d03fc65c72451dc8a1d8
Author:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
AuthorDate: Tue Nov 29 14:08:05 2022 +0000
Commit:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
CommitDate: Tue Nov 29 14:08:05 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3d2bfa2b

media-video/syncplay: enable py3.11

Signed-off-by: Nicola Smaniotto <smaniotto.nicola <AT> gmail.com>

 media-video/syncplay/syncplay-1.6.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-video/syncplay/syncplay-1.6.9.ebuild b/media-video/syncplay/syncplay-1.6.9.ebuild
index f6b74ab52..4adffbbfe 100644
--- a/media-video/syncplay/syncplay-1.6.9.ebuild
+++ b/media-video/syncplay/syncplay-1.6.9.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
 DISTUTILS_USE_PEP517=setuptools
 DISTUTILS_SINGLE_IMPL=1
 


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2022-11-29 14:09 Nicola Smaniotto
  0 siblings, 0 replies; 18+ messages in thread
From: Nicola Smaniotto @ 2022-11-29 14:09 UTC (permalink / raw
  To: gentoo-commits

commit:     19534635c198644ab0d4956d0fc2f63e9607c77d
Author:     Anna <anna <AT> navirc <DOT> com>
AuthorDate: Tue Nov 29 14:00:42 2022 +0000
Commit:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
CommitDate: Tue Nov 29 14:06:44 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=19534635

media-video/syncplay: allow the removal of qt5 gui

Author: Anna <anna <AT> navirc.com>
Closes: https://bugs.gentoo.org/882565
Signed-off-by: Nicola Smaniotto <smaniotto.nicola <AT> gmail.com>

 media-video/syncplay/syncplay-1.6.9.ebuild | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

diff --git a/media-video/syncplay/syncplay-1.6.9.ebuild b/media-video/syncplay/syncplay-1.6.9.ebuild
index 889f7ce1b..f6b74ab52 100644
--- a/media-video/syncplay/syncplay-1.6.9.ebuild
+++ b/media-video/syncplay/syncplay-1.6.9.ebuild
@@ -17,7 +17,7 @@ LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="~amd64"
 
-IUSE="+client server"
+IUSE="+client server +gui"
 REQUIRED_USE="|| ( client server )"
 
 RDEPEND="
@@ -26,8 +26,10 @@ RDEPEND="
 		>=dev-python/twisted-16.4.0[${PYTHON_USEDEP},ssl]'
 	)
 	client? (
-		$( python_gen_cond_dep \
-			'dev-python/QtPy[${PYTHON_USEDEP},gui,pyside2]'
+		gui? (
+			$( python_gen_cond_dep \
+				'dev-python/QtPy[${PYTHON_USEDEP},gui,pyside2]'
+			)
 		)
 		|| (
 			media-video/vlc[lua]
@@ -39,16 +41,23 @@ RDEPEND="
 
 python_install() {
 	python_domodule syncplay
-	for size in 256 128 96 64 48 32 24 16; do
-		doicon -s ${size} "${PN}/resources/hicolor/${size}x${size}/apps/syncplay.png"
-	done
+
+	if use gui; then
+		for size in 256 128 96 64 48 32 24 16; do
+			doicon -s ${size} "${PN}/resources/hicolor/${size}x${size}/apps/syncplay.png"
+		done
+	fi
 	if use client; then
 		python_newscript syncplayClient.py syncplay
-		domenu syncplay/resources/syncplay.desktop
+		if use gui; then
+			domenu syncplay/resources/syncplay.desktop
+		fi
 	fi
 	if use server; then
+		if use gui; then
+			domenu syncplay/resources/syncplay-server.desktop
+		fi
 		python_newscript syncplayServer.py syncplay-server
-		domenu syncplay/resources/syncplay-server.desktop
 		newinitd "${FILESDIR}/${PN}-server-init" "${PN}"
 		newconfd "${FILESDIR}/${PN}-server-init-conf" "${PN}"
 	fi


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2023-04-16  9:46 Nicola Smaniotto
  0 siblings, 0 replies; 18+ messages in thread
From: Nicola Smaniotto @ 2023-04-16  9:46 UTC (permalink / raw
  To: gentoo-commits

commit:     cae32058cf39e3c31c8dde26c1b98ef67538f407
Author:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
AuthorDate: Sun Apr 16 09:44:59 2023 +0000
Commit:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
CommitDate: Sun Apr 16 09:46:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=cae32058

media-video/syncplay: add 1.7.0

Signed-off-by: Nicola Smaniotto <smaniotto.nicola <AT> gmail.com>

 media-video/syncplay/Manifest              |  1 +
 media-video/syncplay/syncplay-1.7.0.ebuild | 76 ++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index 344ca6451..5be4ce6de 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1,2 +1,3 @@
 DIST syncplay-1.6.7.tar.gz 1898354 BLAKE2B bc33ad13d5cc455a593979ca08c3a0d8cb64a44610d5d245920c9978859624fa655cdd953361e82dc3505dd785c6a06bc17641bea0e78d5fdf922975fe813b48 SHA512 9b4757befd56569b9061493227931df99ac59ffee91f14c5d0ae932b1744ab7314d4ba4082323781294a70adecdf68a01e1511fbbb1aa9becff0f6c20945ad90
 DIST syncplay-1.6.9.tar.gz 1900259 BLAKE2B d535f5057a790ac860e6d0ac376069565fa02076dbc0c1d9eb7f54f87f96bbf7aef85136c8c5b67f1a5cf64a5204a617db26e6931368ba490a3ea9128282e473 SHA512 317e7cc966182259e552898ae05e620caf0f8e0ae0b6917235c391bcae1ef9679f1e97cfb46f6d8c6edcd9a5c573e5ab4ff5e27b5e203980a99ade065d9a6b65
+DIST syncplay-1.7.0.tar.gz 1982509 BLAKE2B e3e22c78244c62addd236f84a9acfac86f1f08359b495f475df3ec29a1bf89564177bda14eca6145c0a637b75f45c31d786c5c58efe49ddd19ba755f9ab7c472 SHA512 f8fd57ca14daeeb7b9f1dc36dd49c1674e86548c2fcf8c3db27c76e54d5d64b40e5c56ecd49e591c3c1084c0efe5a10b1fed50fd8e28e42913d05d100c6952f2

diff --git a/media-video/syncplay/syncplay-1.7.0.ebuild b/media-video/syncplay/syncplay-1.7.0.ebuild
new file mode 100644
index 000000000..c77007f83
--- /dev/null
+++ b/media-video/syncplay/syncplay-1.7.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+
+inherit desktop distutils-r1 optfeature xdg
+
+DESCRIPTION="Client/server to synchronize media playback"
+HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
+SRC_URI="https://github.com/${PN^}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="+client server +gui"
+REQUIRED_USE="|| ( client server )"
+
+RDEPEND="
+	$( python_gen_cond_dep \
+		'>=dev-python/certifi-2018.11.29[${PYTHON_USEDEP}]
+		>=dev-python/twisted-16.4.0[${PYTHON_USEDEP},ssl]
+		>=dev-python/pem-21.2.0[${PYTHON_USEDEP}]'
+	)
+	client? (
+		gui? (
+			$( python_gen_cond_dep \
+				'dev-python/QtPy[${PYTHON_USEDEP},gui,pyside2]'
+			)
+		)
+		|| (
+			media-video/vlc[lua]
+			media-video/mpv[lua]
+			media-video/mplayer
+		)
+	)
+"
+
+python_install() {
+	python_domodule syncplay
+
+	if use gui; then
+		for size in 256 128 96 64 48 32 24 16; do
+			doicon -s ${size} "${PN}/resources/hicolor/${size}x${size}/apps/syncplay.png"
+		done
+	fi
+	if use client; then
+		python_newscript syncplayClient.py syncplay
+		if use gui; then
+			domenu syncplay/resources/syncplay.desktop
+		fi
+	fi
+	if use server; then
+		if use gui; then
+			domenu syncplay/resources/syncplay-server.desktop
+		fi
+		python_newscript syncplayServer.py syncplay-server
+		newinitd "${FILESDIR}/${PN}-server-init" "${PN}"
+		newconfd "${FILESDIR}/${PN}-server-init-conf" "${PN}"
+	fi
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	if use client; then
+		optfeature_header "Syncplay is compatible with the following players, install:"
+		optfeature "VLC support" media-video/vlc[lua]
+		optfeature "MPV support" media-video/mpv[lua]
+		optfeature "MPlayer support" media-video/mplayer
+	fi
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2023-05-01 19:31 Anna Vyalkova
  0 siblings, 0 replies; 18+ messages in thread
From: Anna Vyalkova @ 2023-05-01 19:31 UTC (permalink / raw
  To: gentoo-commits

commit:     1bedae9ffc9bde50ab50fe8249453a55343ea394
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Mon May  1 19:04:42 2023 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Mon May  1 19:04:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1bedae9f

media-video/syncplay: drop 1.6.7-r1

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 media-video/syncplay/Manifest                 |  1 -
 media-video/syncplay/syncplay-1.6.7-r1.ebuild | 75 ---------------------------
 2 files changed, 76 deletions(-)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index 5be4ce6de..145ef7627 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1,3 +1,2 @@
-DIST syncplay-1.6.7.tar.gz 1898354 BLAKE2B bc33ad13d5cc455a593979ca08c3a0d8cb64a44610d5d245920c9978859624fa655cdd953361e82dc3505dd785c6a06bc17641bea0e78d5fdf922975fe813b48 SHA512 9b4757befd56569b9061493227931df99ac59ffee91f14c5d0ae932b1744ab7314d4ba4082323781294a70adecdf68a01e1511fbbb1aa9becff0f6c20945ad90
 DIST syncplay-1.6.9.tar.gz 1900259 BLAKE2B d535f5057a790ac860e6d0ac376069565fa02076dbc0c1d9eb7f54f87f96bbf7aef85136c8c5b67f1a5cf64a5204a617db26e6931368ba490a3ea9128282e473 SHA512 317e7cc966182259e552898ae05e620caf0f8e0ae0b6917235c391bcae1ef9679f1e97cfb46f6d8c6edcd9a5c573e5ab4ff5e27b5e203980a99ade065d9a6b65
 DIST syncplay-1.7.0.tar.gz 1982509 BLAKE2B e3e22c78244c62addd236f84a9acfac86f1f08359b495f475df3ec29a1bf89564177bda14eca6145c0a637b75f45c31d786c5c58efe49ddd19ba755f9ab7c472 SHA512 f8fd57ca14daeeb7b9f1dc36dd49c1674e86548c2fcf8c3db27c76e54d5d64b40e5c56ecd49e591c3c1084c0efe5a10b1fed50fd8e28e42913d05d100c6952f2

diff --git a/media-video/syncplay/syncplay-1.6.7-r1.ebuild b/media-video/syncplay/syncplay-1.6.7-r1.ebuild
deleted file mode 100644
index 035dddab4..000000000
--- a/media-video/syncplay/syncplay-1.6.7-r1.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_9 )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-DISTUTILS_SINGLE_IMPL=1
-
-inherit desktop distutils-r1 optfeature xdg
-
-DESCRIPTION="Client/server to synchronize media playback"
-HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
-SRC_URI="https://github.com/${PN^}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-IUSE="+client +server"
-REQUIRED_USE="|| ( client server )"
-
-RDEPEND="
-	$( python_gen_cond_dep \
-	'dev-python/certifi[${PYTHON_USEDEP}]
-	dev-python/twisted[${PYTHON_USEDEP}]'
-	)
-	client? (
-		$( python_gen_cond_dep \
-		'dev-python/QtPy[${PYTHON_USEDEP},gui]'
-		)
-		|| (
-			media-video/vlc[lua]
-			media-video/mpv[lua]
-			media-video/mplayer
-		)
-	)
-"
-
-PATCHES=(
-	"${FILESDIR}/${PN}-change-alignment-operator.patch"
-	"${FILESDIR}/${PN}-make-qpixmap-to-qicon-conversion-explicit.patch"
-	"${FILESDIR}/${PN}-make-qpixmap-to-qicon-conversion-explicit2.patch"
-	"${FILESDIR}/${PN}-use-lambda-to-connect-behind-wrapper.patch"
-	"${FILESDIR}/${PN}-allow-PyQt5.patch"
-)
-
-python_install() {
-	python_domodule syncplay
-	for size in 256 128 96 64 48 32 24 16; do
-		doicon -s ${size} "${PN}/resources/hicolor/${size}x${size}/apps/syncplay.png"
-	done
-	if use client; then
-		python_newscript syncplayClient.py syncplay
-		domenu syncplay/resources/syncplay.desktop
-	fi
-	if use server; then
-		python_newscript syncplayServer.py syncplay-server
-		domenu syncplay/resources/syncplay-server.desktop
-		newinitd "${FILESDIR}/${PN}-server-init" "${PN}"
-		newconfd "${FILESDIR}/${PN}-server-init-conf" "${PN}"
-	fi
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-
-	if use client; then
-		elog "Syncplay supports the following media players:"
-		elog "media-video/mpv, media-video/mplayer, media-video/vlc\n"
-		optfeature "using Syncplay with VLC" media-video/vlc[lua]
-		optfeature "using Syncplay with MPV" media-video/mpv[lua]
-		optfeature "using Syncplay with MPlayer" media-video/mplayer
-	fi
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2023-12-16 11:42 Nicola Smaniotto
  0 siblings, 0 replies; 18+ messages in thread
From: Nicola Smaniotto @ 2023-12-16 11:42 UTC (permalink / raw
  To: gentoo-commits

commit:     f0b0b28a2ad1c1db2b9dd99d3ec2a4da8961b408
Author:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
AuthorDate: Sat Dec 16 11:24:07 2023 +0000
Commit:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
CommitDate: Sat Dec 16 11:42:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f0b0b28a

media-video/syncplay: add 1.7.1

Signed-off-by: Nicola Smaniotto <smaniotto.nicola <AT> gmail.com>

 media-video/syncplay/Manifest              |  1 +
 media-video/syncplay/syncplay-1.7.1.ebuild | 81 ++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index 145ef76278..d1b3ece60e 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1,2 +1,3 @@
 DIST syncplay-1.6.9.tar.gz 1900259 BLAKE2B d535f5057a790ac860e6d0ac376069565fa02076dbc0c1d9eb7f54f87f96bbf7aef85136c8c5b67f1a5cf64a5204a617db26e6931368ba490a3ea9128282e473 SHA512 317e7cc966182259e552898ae05e620caf0f8e0ae0b6917235c391bcae1ef9679f1e97cfb46f6d8c6edcd9a5c573e5ab4ff5e27b5e203980a99ade065d9a6b65
 DIST syncplay-1.7.0.tar.gz 1982509 BLAKE2B e3e22c78244c62addd236f84a9acfac86f1f08359b495f475df3ec29a1bf89564177bda14eca6145c0a637b75f45c31d786c5c58efe49ddd19ba755f9ab7c472 SHA512 f8fd57ca14daeeb7b9f1dc36dd49c1674e86548c2fcf8c3db27c76e54d5d64b40e5c56ecd49e591c3c1084c0efe5a10b1fed50fd8e28e42913d05d100c6952f2
+DIST syncplay-1.7.1.tar.gz 1983931 BLAKE2B 510a3da1f0d52d8033b744b66b87916411051d8f1fdbebd2f098e11e1cf58b2ab81bb491bb3b4aa68d630b53d4b85ad7440bc0b4715a7d9aa23a1c6728bf674c SHA512 aca2eb0503ab853175414663301813f1bc7ebfd38836d3f67d072c4721dc84aa9c4559ef00377641ec25e842ee479af31771ef004fc57f466c0c92df31940276

diff --git a/media-video/syncplay/syncplay-1.7.1.ebuild b/media-video/syncplay/syncplay-1.7.1.ebuild
new file mode 100644
index 0000000000..5a6696368e
--- /dev/null
+++ b/media-video/syncplay/syncplay-1.7.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+
+inherit desktop distutils-r1 optfeature xdg
+
+DESCRIPTION="Client/server to synchronize media playback"
+HOMEPAGE="https://github.com/Syncplay/syncplay https://syncplay.pl"
+SRC_URI="https://github.com/${PN^}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="+client server +gui"
+REQUIRED_USE="|| ( client server )"
+
+RDEPEND="
+	$( python_gen_cond_dep \
+		'>=dev-python/certifi-2018.11.29[${PYTHON_USEDEP}]
+		>=dev-python/twisted-16.4.0[${PYTHON_USEDEP},ssl]
+		>=dev-python/pem-21.2.0[${PYTHON_USEDEP}]'
+	)
+	client? (
+		gui? (
+			$( python_gen_cond_dep \
+				'dev-python/QtPy[${PYTHON_USEDEP},gui,pyside2]' \
+				python3_{10,11}
+			)
+			$( python_gen_cond_dep \
+				'dev-python/QtPy[${PYTHON_USEDEP},gui,pyside6]' \
+				python3_12
+			)
+		)
+		|| (
+			media-video/vlc[lua]
+			media-video/mpv[lua]
+			media-video/mplayer
+		)
+	)
+"
+
+python_install() {
+	python_domodule syncplay
+
+	if use gui; then
+		for size in 256 128 96 64 48 32 24 16; do
+			doicon -s ${size} "${PN}/resources/hicolor/${size}x${size}/apps/syncplay.png"
+		done
+	fi
+	if use client; then
+		python_newscript syncplayClient.py syncplay
+		if use gui; then
+			domenu syncplay/resources/syncplay.desktop
+		fi
+	fi
+	if use server; then
+		if use gui; then
+			domenu syncplay/resources/syncplay-server.desktop
+		fi
+		python_newscript syncplayServer.py syncplay-server
+		newinitd "${FILESDIR}/${PN}-server-init" "${PN}"
+		newconfd "${FILESDIR}/${PN}-server-init-conf" "${PN}"
+	fi
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	if use client; then
+		optfeature_header "Syncplay is compatible with the following players, install:"
+		optfeature "VLC support" media-video/vlc[lua]
+		optfeature "MPV support" media-video/mpv[lua]
+		optfeature "MPlayer support" media-video/mplayer
+	fi
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/
@ 2024-05-13  9:01 Nicola Smaniotto
  0 siblings, 0 replies; 18+ messages in thread
From: Nicola Smaniotto @ 2024-05-13  9:01 UTC (permalink / raw
  To: gentoo-commits

commit:     0398b4b0fb6754e92314ee715734171e47519bed
Author:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
AuthorDate: Mon May 13 08:55:04 2024 +0000
Commit:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
CommitDate: Mon May 13 09:00:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0398b4b0

media-video/syncplay: add 1.7.3, drop 1.7.0

Signed-off-by: Nicola Smaniotto <smaniotto.nicola <AT> gmail.com>

 media-video/syncplay/Manifest                                 |  2 +-
 .../syncplay/{syncplay-1.7.0.ebuild => syncplay-1.7.3.ebuild} | 11 ++++++++---
 2 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/media-video/syncplay/Manifest b/media-video/syncplay/Manifest
index d1b3ece60e..25f73e9386 100644
--- a/media-video/syncplay/Manifest
+++ b/media-video/syncplay/Manifest
@@ -1,3 +1,3 @@
 DIST syncplay-1.6.9.tar.gz 1900259 BLAKE2B d535f5057a790ac860e6d0ac376069565fa02076dbc0c1d9eb7f54f87f96bbf7aef85136c8c5b67f1a5cf64a5204a617db26e6931368ba490a3ea9128282e473 SHA512 317e7cc966182259e552898ae05e620caf0f8e0ae0b6917235c391bcae1ef9679f1e97cfb46f6d8c6edcd9a5c573e5ab4ff5e27b5e203980a99ade065d9a6b65
-DIST syncplay-1.7.0.tar.gz 1982509 BLAKE2B e3e22c78244c62addd236f84a9acfac86f1f08359b495f475df3ec29a1bf89564177bda14eca6145c0a637b75f45c31d786c5c58efe49ddd19ba755f9ab7c472 SHA512 f8fd57ca14daeeb7b9f1dc36dd49c1674e86548c2fcf8c3db27c76e54d5d64b40e5c56ecd49e591c3c1084c0efe5a10b1fed50fd8e28e42913d05d100c6952f2
 DIST syncplay-1.7.1.tar.gz 1983931 BLAKE2B 510a3da1f0d52d8033b744b66b87916411051d8f1fdbebd2f098e11e1cf58b2ab81bb491bb3b4aa68d630b53d4b85ad7440bc0b4715a7d9aa23a1c6728bf674c SHA512 aca2eb0503ab853175414663301813f1bc7ebfd38836d3f67d072c4721dc84aa9c4559ef00377641ec25e842ee479af31771ef004fc57f466c0c92df31940276
+DIST syncplay-1.7.3.tar.gz 1986541 BLAKE2B 204874b02fdb4d889b1718173fb34bd715ce6f66d051cfa5be102f93d4b8ae209af64b0f8096c146e6f439f9f9bf0c92bb6849324c0d067c90784c4a60b2f089 SHA512 144c9b4de9272943f7e3624f602e5d36a18871f78588b60f22d699465ecf3b1c63e733441b9fdd26d6e05db032e7a090e544ce7861532377a34bbc9183e3ce10

diff --git a/media-video/syncplay/syncplay-1.7.0.ebuild b/media-video/syncplay/syncplay-1.7.3.ebuild
similarity index 87%
rename from media-video/syncplay/syncplay-1.7.0.ebuild
rename to media-video/syncplay/syncplay-1.7.3.ebuild
index c11934ec75..5a6696368e 100644
--- a/media-video/syncplay/syncplay-1.7.0.ebuild
+++ b/media-video/syncplay/syncplay-1.7.3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 DISTUTILS_USE_PEP517=setuptools
 DISTUTILS_SINGLE_IMPL=1
 
@@ -29,7 +29,12 @@ RDEPEND="
 	client? (
 		gui? (
 			$( python_gen_cond_dep \
-				'dev-python/QtPy[${PYTHON_USEDEP},gui,pyside2]'
+				'dev-python/QtPy[${PYTHON_USEDEP},gui,pyside2]' \
+				python3_{10,11}
+			)
+			$( python_gen_cond_dep \
+				'dev-python/QtPy[${PYTHON_USEDEP},gui,pyside6]' \
+				python3_12
 			)
 		)
 		|| (


^ permalink raw reply related	[flat|nested] 18+ messages in thread

end of thread, other threads:[~2024-05-13  9:01 UTC | newest]

Thread overview: 18+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-06-24 15:05 [gentoo-commits] repo/proj/guru:dev commit in: media-video/syncplay/ Andrew Ammerlaan
2020-06-25  7:29 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2024-05-13  9:01 [gentoo-commits] repo/proj/guru:dev " Nicola Smaniotto
2023-12-16 11:42 Nicola Smaniotto
2023-05-01 19:31 Anna Vyalkova
2023-04-16  9:46 Nicola Smaniotto
2022-11-29 14:09 Nicola Smaniotto
2022-11-29 14:09 Nicola Smaniotto
2022-07-13 21:36 Nicola Smaniotto
2022-07-13 21:36 Nicola Smaniotto
2021-05-24 11:06 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-05-24 10:01 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-01-15  8:25 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-01-15  8:24 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-12-18 14:31 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-12-18 14:31 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-10-14 16:37 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-10-14 16:37 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-09-24 12:50 Andrew Ammerlaan
2020-06-07 13:25 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-06-07 13:25 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-05-07  9:28 Andrew Ammerlaan
2020-04-30 13:42 Andrew Ammerlaan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox